## ros-one-image-transport-codecs 2.5.1-41jammy.20251023.1219

=== debian/changelog ===
ros-one-image-transport-codecs (2.5.1-41jammy.20251023.1219) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 23 Oct 2025 12:19:06 +0000

ros-one-image-transport-codecs (2.5.1-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 18 Feb 2025 00:00:00 -0000

ros-one-image-transport-codecs (2.5.0-0jammy) jammy; urgency=high

  * Fixed RVL decoder incorrectly marking some images as malformed.
    Apparently, the compression ratio can get better that 5:1 (happens mostly in images with large NaN areas).
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 13 Feb 2025 00:00:00 -0000

ros-one-image-transport-codecs (2.4.8-0jammy) jammy; urgency=high

  * Improved compatibility with newer compilers.
    Resolves https://github.com/RoboStack/ros-noetic/pull/501#issuecomment-2567224502 .
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 07 Jan 2025 00:00:00 -0000

ros-one-image-transport-codecs (2.4.7-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 12 Dec 2024 00:00:00 -0000

ros-one-image-transport-codecs (2.4.6-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 12 Dec 2024 00:00:00 -0000

ros-one-image-transport-codecs (2.4.5-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Sat, 02 Nov 2024 00:00:00 -0000

ros-one-image-transport-codecs (2.4.4-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Sat, 14 Sep 2024 00:00:00 -0000

ros-one-image-transport-codecs (2.4.3-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Sat, 14 Sep 2024 00:00:00 -0000

ros-one-image-transport-codecs (2.4.2-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 05 Sep 2024 00:00:00 -0000

ros-one-image-transport-codecs (2.4.1-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 04 Sep 2024 00:00:00 -0000

ros-one-image-transport-codecs (2.4.0-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 04 Sep 2024 00:00:00 -0000

ros-one-image-transport-codecs (2.3.9-0jammy) jammy; urgency=high

  * Removed catkin_lint buildfarm hacks.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 27 Feb 2024 00:00:00 -0000

ros-one-image-transport-codecs (2.3.8-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 12 Jan 2024 00:00:00 -0000

ros-one-image-transport-codecs (2.3.7-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 09 Jan 2024 00:00:00 -0000

ros-one-image-transport-codecs (2.3.6-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 09 Jan 2024 00:00:00 -0000

ros-one-image-transport-codecs (2.3.5-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 21 Nov 2023 00:00:00 -0000

ros-one-image-transport-codecs (2.3.4-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 25 Oct 2023 00:00:00 -0000

ros-one-image-transport-codecs (2.3.3-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 06 Oct 2023 00:00:00 -0000

ros-one-image-transport-codecs (2.3.2-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 06 Oct 2023 00:00:00 -0000

ros-one-image-transport-codecs (2.3.1-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 13 Jul 2023 00:00:00 -0000

ros-one-image-transport-codecs (2.3.0-0jammy) jammy; urgency=high

  * Increased minimum CMake version to 3.10.2.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 12 Jul 2023 00:00:00 -0000

ros-one-image-transport-codecs (2.2.3-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 16 Jun 2023 00:00:00 -0000

ros-one-image-transport-codecs (2.2.2-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 15 May 2023 00:00:00 -0000

ros-one-image-transport-codecs (2.2.1-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 15 May 2023 00:00:00 -0000

ros-one-image-transport-codecs (2.2.0-0jammy) jammy; urgency=high

  * Fixed getCompressedImageContent() for JPEGs in CompressedCodec.
  * Swap the order of image and topic arguments in encode/decode to make the Python and C++ APIs consistent.
  * Generalized getCompressedImageContent() to all codecs.
  * Added getCompressedImageContent() to compressedDepth codec.
  * Added guessAnyCompressedImageTransportFormat().
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Sun, 09 Apr 2023 00:00:00 -0000

ros-one-image-transport-codecs (2.1.2-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 10 Feb 2023 00:00:00 -0000

ros-one-image-transport-codecs (2.1.1-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 08 Feb 2023 00:00:00 -0000

ros-one-image-transport-codecs (2.1.0-0jammy) jammy; urgency=high

  * Verify that compressedDepth decoder input is large enough to avoid accessing invalid memory.
  * Added basic input checking to RVL.
  * Added image_transport_codecs.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 08 Feb 2023 00:00:00 -0000

ros-one-image-transport-codecs (2.0.10-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 24 Nov 2022 17:43:00 -0000

ros-one-image-transport-codecs (2.0.9-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 24 Nov 2022 17:33:00 -0000

ros-one-image-transport-codecs (2.0.8-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 24 Nov 2022 16:00:00 -0000

ros-one-image-transport-codecs (2.0.7-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 24 Nov 2022 15:38:00 -0000

ros-one-image-transport-codecs (2.0.6-0jammy) jammy; urgency=high





## ros-one-image-transport-codecs 2.5.1-41noble.20251023.1251

=== debian/changelog ===
ros-one-image-transport-codecs (2.5.1-41noble.20251023.1251) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 23 Oct 2025 12:51:40 +0000

ros-one-image-transport-codecs (2.5.1-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 18 Feb 2025 00:00:00 -0000

ros-one-image-transport-codecs (2.5.0-0noble) noble; urgency=high

  * Fixed RVL decoder incorrectly marking some images as malformed.
    Apparently, the compression ratio can get better that 5:1 (happens mostly in images with large NaN areas).
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 13 Feb 2025 00:00:00 -0000

ros-one-image-transport-codecs (2.4.8-0noble) noble; urgency=high

  * Improved compatibility with newer compilers.
    Resolves https://github.com/RoboStack/ros-noetic/pull/501#issuecomment-2567224502 .
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 07 Jan 2025 00:00:00 -0000

ros-one-image-transport-codecs (2.4.7-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 12 Dec 2024 00:00:00 -0000

ros-one-image-transport-codecs (2.4.6-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 12 Dec 2024 00:00:00 -0000

ros-one-image-transport-codecs (2.4.5-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Sat, 02 Nov 2024 00:00:00 -0000

ros-one-image-transport-codecs (2.4.4-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Sat, 14 Sep 2024 00:00:00 -0000

ros-one-image-transport-codecs (2.4.3-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Sat, 14 Sep 2024 00:00:00 -0000

ros-one-image-transport-codecs (2.4.2-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 05 Sep 2024 00:00:00 -0000

ros-one-image-transport-codecs (2.4.1-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 04 Sep 2024 00:00:00 -0000

ros-one-image-transport-codecs (2.4.0-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 04 Sep 2024 00:00:00 -0000

ros-one-image-transport-codecs (2.3.9-0noble) noble; urgency=high

  * Removed catkin_lint buildfarm hacks.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 27 Feb 2024 00:00:00 -0000

ros-one-image-transport-codecs (2.3.8-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 12 Jan 2024 00:00:00 -0000

ros-one-image-transport-codecs (2.3.7-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 09 Jan 2024 00:00:00 -0000

ros-one-image-transport-codecs (2.3.6-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 09 Jan 2024 00:00:00 -0000

ros-one-image-transport-codecs (2.3.5-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 21 Nov 2023 00:00:00 -0000

ros-one-image-transport-codecs (2.3.4-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 25 Oct 2023 00:00:00 -0000

ros-one-image-transport-codecs (2.3.3-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 06 Oct 2023 00:00:00 -0000

ros-one-image-transport-codecs (2.3.2-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 06 Oct 2023 00:00:00 -0000

ros-one-image-transport-codecs (2.3.1-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 13 Jul 2023 00:00:00 -0000

ros-one-image-transport-codecs (2.3.0-0noble) noble; urgency=high

  * Increased minimum CMake version to 3.10.2.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 12 Jul 2023 00:00:00 -0000

ros-one-image-transport-codecs (2.2.3-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 16 Jun 2023 00:00:00 -0000

ros-one-image-transport-codecs (2.2.2-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 15 May 2023 00:00:00 -0000

ros-one-image-transport-codecs (2.2.1-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 15 May 2023 00:00:00 -0000

ros-one-image-transport-codecs (2.2.0-0noble) noble; urgency=high

  * Fixed getCompressedImageContent() for JPEGs in CompressedCodec.
  * Swap the order of image and topic arguments in encode/decode to make the Python and C++ APIs consistent.
  * Generalized getCompressedImageContent() to all codecs.
  * Added getCompressedImageContent() to compressedDepth codec.
  * Added guessAnyCompressedImageTransportFormat().
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Sun, 09 Apr 2023 00:00:00 -0000

ros-one-image-transport-codecs (2.1.2-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 10 Feb 2023 00:00:00 -0000

ros-one-image-transport-codecs (2.1.1-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 08 Feb 2023 00:00:00 -0000

ros-one-image-transport-codecs (2.1.0-0noble) noble; urgency=high

  * Verify that compressedDepth decoder input is large enough to avoid accessing invalid memory.
  * Added basic input checking to RVL.
  * Added image_transport_codecs.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 08 Feb 2023 00:00:00 -0000

ros-one-image-transport-codecs (2.0.10-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 24 Nov 2022 17:43:00 -0000

ros-one-image-transport-codecs (2.0.9-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 24 Nov 2022 17:33:00 -0000

ros-one-image-transport-codecs (2.0.8-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 24 Nov 2022 16:00:00 -0000

ros-one-image-transport-codecs (2.0.7-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 24 Nov 2022 15:38:00 -0000

ros-one-image-transport-codecs (2.0.6-0noble) noble; urgency=high





## ros-one-image-transport-codecs 2.5.1-89jammy.20251215.2153

=== debian/changelog ===
ros-one-image-transport-codecs (2.5.1-89jammy.20251215.2153) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 15 Dec 2025 21:53:17 +0000

## ros-one-image-transport-codecs 2.5.1-89noble.20251215.2151

=== debian/changelog ===
ros-one-image-transport-codecs (2.5.1-89noble.20251215.2151) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 15 Dec 2025 21:51:29 +0000

## ros-one-image-transport-codecs 2.5.1-125jammy.20260119.2116

=== debian/changelog ===
ros-one-image-transport-codecs (2.5.1-125jammy.20260119.2116) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 19 Jan 2026 21:16:06 +0000

## ros-one-image-transport-codecs 2.5.1-125noble.20260119.2116

=== debian/changelog ===
ros-one-image-transport-codecs (2.5.1-125noble.20260119.2116) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 19 Jan 2026 21:16:14 +0000

## ros-one-image-transport-codecs 2.5.1-132jammy.20260128.2121

=== debian/changelog ===
ros-one-image-transport-codecs (2.5.1-132jammy.20260128.2121) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 28 Jan 2026 21:21:07 +0000

## ros-one-image-transport-codecs 2.5.1-132noble.20260128.2124

=== debian/changelog ===
ros-one-image-transport-codecs (2.5.1-132noble.20260128.2124) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 28 Jan 2026 21:24:33 +0000

## ros-one-image-transport-codecs 2.5.1-140jammy.20260221.2334

=== debian/changelog ===
ros-one-image-transport-codecs (2.5.1-140jammy.20260221.2334) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Sat, 21 Feb 2026 23:34:49 +0000

## ros-one-image-transport-codecs 2.5.1-140noble.20260222.0041

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2)
project(image_transport_codecs)

find_package(catkin REQUIRED COMPONENTS
  class_loader
  compressed_depth_image_transport
  compressed_image_transport
  cras_cpp_common
  cras_topic_tools
  dynamic_reconfigure
  image_transport
  pluginlib
  sensor_msgs
  theora_image_transport
  topic_tools
)

#catkin_lint: ignore_once duplicate_find
find_package(compressed_image_transport QUIET)
if (compressed_image_transport_VERSION VERSION_GREATER_EQUAL "1.14.0")
  set(compressed_has_jpeg_options 1)
  set(compressed_depth_has_rvl 1)
else()
  set(compressed_has_jpeg_options 0)
  set(compressed_depth_has_rvl 0)
endif()

find_package(PkgConfig REQUIRED)
pkg_check_modules(TurboJPEG REQUIRED libturbojpeg)

catkin_python_setup()

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME} compressed_codec compressed_depth_codec
  CATKIN_DEPENDS class_loader cras_cpp_common dynamic_reconfigure image_transport pluginlib sensor_msgs topic_tools
)

include_directories(include ${catkin_INCLUDE_DIRS} ${TurboJPEG_INCLUDE_DIRS})

add_library(${PROJECT_NAME} src/image_transport_codec.cpp src/${PROJECT_NAME}.cpp src/parse_compressed_format.cpp)
add_dependencies(${PROJECT_NAME} ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})
target_compile_definitions(${PROJECT_NAME} PRIVATE COMPRESSED_DEPTH_HAS_RVL=${compressed_depth_has_rvl})

add_library(compressed_codec src/codecs/compressed_codec.cpp)
target_link_libraries(compressed_codec ${catkin_LIBRARIES} ${TurboJPEG_LIBRARIES})
target_compile_definitions(compressed_codec PRIVATE COMPRESSED_HAS_JPEG_OPTIONS=${compressed_has_jpeg_options})

add_library(compressed_depth_codec src/codecs/compressed_depth_codec.cpp)
target_link_libraries(compressed_depth_codec ${catkin_LIBRARIES})
target_compile_definitions(compressed_depth_codec PRIVATE COMPRESSED_DEPTH_HAS_RVL=${compressed_depth_has_rvl})

add_library(raw_codec_plugin src/plugins/raw_codec_plugin.cpp)
target_link_libraries(raw_codec_plugin ${PROJECT_NAME} ${catkin_LIBRARIES})
class_loader_hide_library_symbols(raw_codec_plugin)

add_library(compressed_codec_plugin src/plugins/compressed_codec_plugin.cpp)
target_link_libraries(compressed_codec_plugin ${PROJECT_NAME} compressed_codec ${catkin_LIBRARIES})
class_loader_hide_library_symbols(compressed_codec_plugin)

add_library(compressed_depth_codec_plugin src/plugins/compressed_depth_codec_plugin.cpp)
target_link_libraries(compressed_depth_codec_plugin ${PROJECT_NAME} compressed_depth_codec ${catkin_LIBRARIES})
class_loader_hide_library_symbols(compressed_depth_codec_plugin)

install(TARGETS compressed_codec compressed_codec_plugin compressed_depth_codec compressed_depth_codec_plugin ${PROJECT_NAME} raw_codec_plugin
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(FILES
  codecs.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

if (CATKIN_ENABLE_TESTING)
  find_package(roslint REQUIRED)
  find_package(rosbag REQUIRED)

  roslint_custom(catkin_lint "-W2" .)

  # Roslint C++ - checks formatting and some other rules for C++ files

  file(GLOB_RECURSE ROSLINT_INCLUDE include/*.h include/*.hpp)
  file(GLOB_RECURSE ROSLINT_SRC src/*.cpp src/*.hpp src/*.h)
  file(GLOB_RECURSE ROSLINT_TEST test/*.cpp)

  set(ROSLINT_CPP_OPTS "--extensions=h,hpp,hh,c,cpp,cc;--linelength=120;--filter=\
    -build/header_guard,-readability/namespace,-whitespace/braces,-runtime/references,\
    -build/c++11,-readability/nolint,-readability/todo,-legal/copyright")
  roslint_cpp(${ROSLINT_INCLUDE} ${ROSLINT_SRC})

  set(ROSLINT_CPP_OPTS "${ROSLINT_CPP_OPTS},-build/namespaces")  # allow "using namespace" in tests
  roslint_cpp(${ROSLINT_TEST})

  roslint_add_test()

  include_directories(${rosbag_INCLUDE_DIRS})
  
  catkin_add_gtest(test_codecs test/test_codecs.cpp)
  target_link_libraries(test_codecs ${PROJECT_NAME} compressed_depth_codec ${catkin_LIBRARIES} ${rosbag_LIBRARIES})
  add_dependencies(test_codecs raw_codec_plugin compressed_codec_plugin compressed_depth_codec_plugin)
  target_compile_definitions(test_codecs PRIVATE COMPRESSED_HAS_JPEG_OPTIONS=${compressed_has_jpeg_options})
  target_compile_definitions(test_codecs PRIVATE COMPRESSED_DEPTH_HAS_RVL=${compressed_depth_has_rvl})
  target_compile_definitions(test_codecs PRIVATE TEST_DATA_DIR=\"${CMAKE_CURRENT_SOURCE_DIR}/test/data\")

  catkin_add_gtest(test_parse_compressed_format test/test_parse_compressed_format.cpp)
  target_link_libraries(test_parse_compressed_format ${PROJECT_NAME} ${rosbag_LIBRARIES})
  target_compile_definitions(test_parse_compressed_format PRIVATE COMPRESSED_DEPTH_HAS_RVL=${compressed_depth_has_rvl})
  target_compile_definitions(test_parse_compressed_format PRIVATE TEST_DATA_DIR=\"${CMAKE_CURRENT_SOURCE_DIR}/test/data\")
  add_dependencies(test_parse_compressed_format ${catkin_EXPORTED_TARGETS})

  catkin_add_nosetests(test/test_codecs.py DEPENDENCIES compressed_codec_plugin compressed_depth_codec_plugin ${PROJECT_NAME} raw_codec_plugin ${catkin_EXPORTED_TARGETS})
  catkin_add_nosetests(test/test_parse_compressed_format.py DEPENDENCIES ${PROJECT_NAME} ${catkin_EXPORTED_TARGETS})
endif()

=== debian/changelog ===
ros-one-image-transport-codecs (2.5.1-140noble.20260222.0041) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Sun, 22 Feb 2026 00:41:26 +0000

=== debian/control ===
Source: ros-one-image-transport-codecs
Section: misc
Priority: optional
Maintainer: Martin Pecka <peckama2@fel.cvut.cz>
Build-Depends: debhelper (>= 9.0.0), libturbojpeg0-dev, ros-one-catkin, ros-one-class-loader, ros-one-compressed-depth-image-transport, ros-one-compressed-image-transport, ros-one-cras-cpp-common, ros-one-cras-topic-tools, ros-one-dynamic-reconfigure, ros-one-image-transport, ros-one-pluginlib, ros-one-sensor-msgs, ros-one-theora-image-transport, ros-one-topic-tools
Homepage: https://wiki.ros.org/image_transport_codecs
Standards-Version: 3.9.2

Package: ros-one-image-transport-codecs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libturbojpeg0-dev, ros-one-class-loader, ros-one-compressed-depth-image-transport, ros-one-compressed-image-transport, ros-one-cras-cpp-common, ros-one-cras-topic-tools, ros-one-dynamic-reconfigure, ros-one-image-transport, ros-one-pluginlib, ros-one-sensor-msgs, ros-one-theora-image-transport, ros-one-topic-tools
Description: Image transport plugins available as C, C++ and Python libraries

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-image-transport-codecs//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install
